# Function forDefinitions

- forDefinitions<C>(definitions): (<N>(options?) => Meta.Workspace<C>)

- #### Type Parameters

  - #### C extends Meta.Collections

  #### Parameters

  - ##### definitions: Meta.Pouch.Definitions<C>

  #### Returns (<N>(options?) => Meta.Workspace<C>)

  - - <N>(options?): Meta.Workspace<C>

    - #### Type Parameters

      - #### N extends Meta.Pouch.Adapters.AdapterName

      #### Parameters

      - ##### `Optional` options: Meta.Pouch.Adapters.AttachOptions<N>

      #### Returns Meta.Workspace<C>

  - Defined in packages/db/src/meta/pouch/index.ts:16

Generated using TypeDoc